package com.xinelu.manage.domain.nursemanagepersonwechatinfo;


import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 护理站管理人员微信个人信息对象 nurse_manage_person_wechat_info
 *
 * @author xinyilu
 * @date 2023-04-03
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "护理站管理人员微信个人信息对象", description = "nurse_manage_person_wechat_info")
public class NurseManagePersonWechatInfo extends BaseDomain implements Serializable {
    private static final long serialVersionUID = 3468614608277422287L;
    /**
     * 主键id
     */
    private Long id;

    /**
     * 护理机构表id
     */
    @ApiModelProperty(value = "护理机构表id")
    @Excel(name = "护理机构表id")
    private String nurseStationId;

    /**
     * 护理机构管理人员用户表id
     */
    @ApiModelProperty(value = "护理机构管理人员用户表id")
    @Excel(name = "护理机构管理人员用户表id")
    private Long userId;

    /**
     * 微信openid
     */
    @ApiModelProperty(value = "微信openid")
    @Excel(name = "微信openid")
    private String openid;

    /**
     * 微信unionid
     */
    @ApiModelProperty(value = "微信unionid")
    @Excel(name = "微信unionid")
    private String unionid;

    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    @Excel(name = "手机号")
    private String phone;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("nurseStationId", getNurseStationId())
                .append("userId", getUserId())
                .append("openid", getOpenid())
                .append("unionid", getUnionid())
                .append("phone", getPhone())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}